Bug 473619 - WebKit : Unowned directories
WebKit : Unowned directories
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: WebKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 13:24 EST by Michael Schwendt
Modified: 2009-02-04 21:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-01 09:30:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-29 13:24:59 EST
One or more directories are not included within this
package and/or its sub-packages:

=> WebKit-doc-1.0.0-0.15.svn37790.fc10.i386 (rawhide-development-i386)
/usr/share/doc/WebKit-1.0.0

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Peter Gordon 2008-11-29 18:36:50 EST
Unfortunately upstream is still working to fix an issue with compiling using Bison 2.4+, so I'll only be able to fix this in earlier branches for the time being. (Upstream bug: https://bugs.webkit.org/show_bug.cgi?id=22205 )

Thanks for the bug report!
Comment 2 Peter Gordon 2008-12-30 14:22:23 EST
Should be fixed in rawhide (as of 1.0.0-0.16.svn39370.fc11). Please feel free to re-open this bug with further details should the issue persist. Thanks.
Comment 3 Fedora Update System 2009-01-15 21:54:50 EST
WebKit-1.0.0-0.13.svn37790.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/WebKit-1.0.0-0.13.svn37790.fc9
Comment 4 Michael Schwendt 2009-01-30 15:30:29 EST
=> WebKit-1.0.0-0.16.svn40351.fc11.src.rpm
=> WebKit-doc-1.0.0-0.16.svn40351.fc11.i386 (rawhide-development-i386)
/usr/share/doc/WebKit-1.0.0
Comment 5 Fedora Update System 2009-02-04 21:08:48 EST
WebKit-1.0.0-0.13.svn37790.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.